Skip to main content
Download an object from the session storage.

POST /revisions/:id/data/query (Command: download_session_object)

Request Body

ParameterTypeRequiredDescription
enginestringYesMust be workflow_blobhub.
commandstringYesMust be download_session_object.
session_idstringYesThe ID of the session.
aliasstringYesAlias of the object to download.

Response

ParameterTypeDescription
objectobjectThe retrieved object.
When object.value.type is "thread", the returned envelope contains only attributes and metadata. Items are fetched separately via list_session_thread_items / get_session_thread_item.
When object.value.type is "graph", the returned envelope contains only attributes and metadata. Elements are fetched separately via the six graph commands. See the graph session object for the element schema.

Example

{
  "engine": "workflow_blobhub",
  "command": "download_session_object",
  "session_id": "sess_001",
  "alias": "config"
}
{
  "object": { "debug": true }
}